API ReferenceVideo APIsSeedance
Seedance 2 API
ReachAPI 目前透過公開模型 ID seedance-2 與 seedance-2-fast 對外提供 Seedance 2 系列能力。
本文說明如何在 ReachAPI 中呼叫 Seedance 2 模型,包括請求參數、限制與範例。
重要說明:
- 提交任務:
POST /v1/vids/create - 查詢任務:
GET /v1/tasks/{task_id} - 模型 ID:
seedance-2、seedance-2-fast - 執行方式:非同步任務
- 所有請求現在都必須明確傳入
input.content
1. API Overview
- HTTP method:
POST - Request path:
/v1/vids/create - Content-Type:
application/json - Result delivery:
- 提交時先返回任務受理資訊
- 最終結果透過輪詢
/v1/tasks/{task_id}或callback_url取得
2. Authentication and Headers
Authorization: Bearer YOUR_REACH_API_KEY
Content-Type: application/json3. Model Capability Summary
| Model | Duration | Resolution | Aspect ratio | input.content | Notes |
|---|---|---|---|---|---|
seedance-2 | 4-15s | 480p, 720p, 1080p | 21:9, 16:9, 4:3, 1:1, 3:4, 9:16, adaptive | Required | 支援文字、圖片、影片、音訊參考,以及編輯、續寫 |
seedance-2-fast | 4-15s | 480p, 720p | 21:9, 16:9, 4:3, 1:1, 3:4, 9:16, adaptive | Required | 與 seedance-2 欄位一致,但目前不支援 1080p |
計費與用量
Seedance 視頻任務採用返回 token 用量計費,而非按時長計費。預估價格 = token 單價 × token 消耗量。最終賬單使用 ReachAPI 任務響應中的 usage.output_tokens,該值由 BytePlus usage.completion_tokens 映射而來。
| 模型 | 視頻輸入 | 分辨率 | Token 單價 |
|---|---|---|---|
seedance-2 | 無 | 480p / 720p | $7.00 / 100 萬 token |
seedance-2 | 無 | 1080p | $7.70 / 100 萬 token |
seedance-2 | 有 | 480p / 720p | $4.30 / 100 萬 token |
seedance-2 | 有 | 1080p | $4.70 / 100 萬 token |
seedance-2-fast | 無 | 480p / 720p | $5.60 / 100 萬 token |
seedance-2-fast | 有 | 480p / 720p | $3.30 / 100 萬 token |
seedance-2-fast | 任意 | 1080p | 不支持 |
4. Create Task
{
"model": "seedance-2",
"callback_url": "https://your-domain.com/callback",
"input": {
"content": [
{
"type": "text",
"text": "A cinematic drone shot passing over a coastline at sunrise"
}
],
"duration_seconds": 6,
"resolution": "720p",
"aspect_ratio": "16:9"
}
}4.1 Top-Level Parameters
| Field | Type | Required | Description |
|---|---|---|---|
model | string | Yes | seedance-2 或 seedance-2-fast |
callback_url | string | No | 任務終態的 HTTPS 回呼網址,最大長度 2048 |
input | object | Yes | 影片生成參數 |
4.2 input Parameters
| Field | Type | Required | Description |
|---|---|---|---|
content | array<object> | Yes | 明確的多模態輸入,不可為空陣列 |
duration_seconds | integer | No | 可傳 4-15,或傳 -1 由模型自動選擇 |
resolution | string | Yes | seedance-2: 480p, 720p, 1080p; seedance-2-fast: 480p, 720p |
aspect_ratio | string | No | 21:9, 16:9, 4:3, 1:1, 3:4, 9:16, adaptive |
generate_audio | boolean | No | 是否要求生成音訊 |
seed | integer | No | 隨機種子,範圍 -1 到 4294967295;-1 表示隨機 |
safety_identifier | string | No | 終端使用者安全識別。必須是最長 64 字元的 ASCII 字串 |
watermark | boolean | No | 是否傳遞浮水印設定 |
return_last_frame | boolean | No | 是否要求返回最後一幀圖片 |
edit_mode | string | No | 用於控制支援場景下的編輯行為 |
extend_mode | string | No | 用於控制支援場景下的續寫行為 |
5. input.content Structure
Supported type:
textimage_urlvideo_urlaudio_url
Supported role:
first_framelast_framereference_imagereference_videoreference_audio
| Field | Type | Required | Description |
|---|---|---|---|
content[].type | string | Yes | text, image_url, video_url, audio_url |
content[].role | string | No | 非文字內容通常建議明確傳入 |
content[].text | string | Required for type = text | 文字內容 |
content[].image_url.url | string | Required for type = image_url | 圖片 URL 或已上傳的素材 ID |
content[].video_url.url | string | Required for type = video_url | 影片 URL 或已上傳的素材 ID |
content[].audio_url.url | string | Required for type = audio_url | 音訊 URL 或已上傳的素材 ID |
主要限制:
content至少需要 1 個元素- 圖片最多 9 個
- 影片最多 3 個
- 音訊最多 3 個
text與audio同時出現時,必須同時提供至少 1 個reference_image或reference_video- 不支援純
audio,也不支援只有text + audio
6. Legacy Fields No Longer Supported
以下舊欄位現在會直接返回 400:
input.promptinput.image_urlinput.image_urlsinput.last_image_urlinput.video_urlsinput.audio_urlsinput.negative_promptinput.parametersinput.instancesinput.service_tierinput.execution_expires_afterinput.framesinput.camera_fixedinput.draftinput.content[].draft_task
7. Request Examples
7.1 Text-to-Video
{
"model": "seedance-2",
"input": {
"content": [
{
"type": "text",
"text": "A stylized travel film scene with dynamic camera movement"
}
],
"duration_seconds": 8,
"resolution": "1080p",
"aspect_ratio": "adaptive"
}
}7.2 Multimodal Reference Input
{
"model": "seedance-2",
"input": {
"content": [
{
"type": "text",
"text": "A stylized travel film scene with dynamic camera movement"
},
{
"type": "image_url",
"role": "reference_image",
"image_url": {
"url": "https://cdn.example.com/scene-start.png"
}
},
{
"type": "video_url",
"role": "reference_video",
"video_url": {
"url": "https://cdn.example.com/reference-motion.mp4"
}
}
],
"duration_seconds": 8,
"resolution": "1080p",
"aspect_ratio": "adaptive"
}
}7.3 Reference Video Extension
{
"model": "seedance-2-fast",
"input": {
"content": [
{
"type": "text",
"text": "Extend this clip into a faster action sequence"
},
{
"type": "video_url",
"role": "reference_video",
"video_url": {
"url": "https://cdn.example.com/reference-1.mp4"
}
}
],
"duration_seconds": 6,
"resolution": "480p",
"aspect_ratio": "16:9",
"extend_mode": "continue"
}
}8. Create Task Response
{
"code": 200,
"msg": "",
"status": "queued",
"task_id": "task_xxx",
"data": []
}9. Query Task Status
{
"code": 200,
"msg": "",
"status": "success",
"task_id": "task_xxx",
"data": [
{
"url": "https://cdn.example.com/generated/video-1.mp4"
}
],
"usage": {
"input_tokens": 0,
"output_tokens": 102960,
"total_tokens": 102960
}
}說明:
data為影片結果陣列- ReachAPI 對成功影片結果至少保證返回
data[].url
10. Callback Delivery
若建立任務時提供 callback_url,任務進入終態後會以相同 JSON 結構透過 POST 回傳。
11. Constraints and Notes
input.content為必填resolution為必填duration_seconds必須為-1或位於4-15seedance-2-fast不支援1080p